/**
 * \file libyasm.h
 * \brief YASM library primary header file.
 *
 * \rcs
 * $Id: libyasm.h 1895 2007-07-14 05:31:08Z peter $
 * \endrcs
 *
 * \license
 *  Copyright (C) 2003-2007  Peter Johnson
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *  - Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  - Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND OTHER CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR OTHER CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 * \endlicense
 */
#ifndef YASM_LIB_H
#define YASM_LIB_H

#ifdef YASM_PYXELATOR
typedef struct __FILE FILE;
typedef struct __va_list va_list;
typedef unsigned long size_t;
typedef unsigned long uintptr_t;
#else
#include <stdio.h>
#include <stdarg.h>
#include <libyasm-1-stdint.h>
#endif

#include <libyasm-1/compat-queue.h>

#include <libyasm-1/coretype.h>
#include <libyasm-1/valparam.h>

#include <libyasm-1/linemap.h>

#include <libyasm-1/errwarn.h>
#include <libyasm-1/intnum.h>
#include <libyasm-1/floatnum.h>
#include <libyasm-1/expr.h>
#include <libyasm-1/value.h>
#include <libyasm-1/symrec.h>

#include <libyasm-1/bytecode.h>
#include <libyasm-1/section.h>
#include <libyasm-1/insn.h>

#include <libyasm-1/arch.h>
#include <libyasm-1/dbgfmt.h>
#include <libyasm-1/objfmt.h>
#include <libyasm-1/listfmt.h>
#include <libyasm-1/parser.h>
#include <libyasm-1/preproc.h>

#include <libyasm-1/file.h>
#include <libyasm-1/module.h>

#include <libyasm-1/hamt.h>
#include <libyasm-1/md5.h>

#endif
